commit fc0f2b6b55e27b541a769864ffec4ceb6534681c
Author: freddy77 <freddy77>
Date:   Thu Oct 23 15:07:48 2008 +0000

    move ODBC_WIDE_NAME computation in include/tdsodbc.c

diff --git a/ChangeLog b/ChangeLog
index e86d021..c32bd01 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Thu Oct 23 17:05:03 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* TODO.freddy: updates
+	* include/tdsodbc.h src/odbc/convert_tds2sql.c:
+	- move ODBC_WIDE_NAME computation in include/tdsodbc.c
+
 Thu Oct 23 14:38:40 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/convert_tds2sql.c:
 	- support conversions from SQL_C_WCHAR to fixed types
@@ -757,4 +762,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2635 2008/10/23 12:39:38 freddy77 Exp $
+$Id: ChangeLog,v 1.2636 2008/10/23 15:07:48 freddy77 Exp $
diff --git a/TODO.freddy b/TODO.freddy
index d60b592..796d40c 100644
--- a/TODO.freddy
+++ b/TODO.freddy
@@ -47,11 +47,12 @@ ODBC SQL_C_CHAR with wide
 -------------------------
 Check iso8859-1 for single ??
 test to review
-- data.c (char -> sql_c_char)
+- data.c (char -> sql_c_char) DONE
 - genparams.c
 - getdata.c ??
 - putdata.c ??
 - wchar.c
+- blob1.c (SQLGetData test with binary -> char and between chars)
 Is it possible to support direct binding for parameters using different
 encodings? For instance client <-> server iso8859-1 <-> ucs2. It should be
 possible changing TDSCOLUMN->char_conv. Some work should be done in 
diff --git a/include/tdsodbc.h b/include/tdsodbc.h
index 7c1df42..3997a0e 100644
--- a/include/tdsodbc.h
+++ b/include/tdsodbc.h
@@ -66,7 +66,7 @@ extern "C"
 #endif
 #endif
 
-/* $Id: tdsodbc.h,v 1.112 2008/10/17 08:30:03 freddy77 Exp $ */
+/* $Id: tdsodbc.h,v 1.113 2008/10/23 15:07:48 freddy77 Exp $ */
 
 #if defined(__GNUC__) && __GNUC__ >= 4
 #pragma GCC visibility push(hidden)
@@ -531,6 +531,22 @@ size_t sqlwcslen(const SQLWCHAR * s);
 #define sqlwcslen wcslen
 #endif
 
+#if SIZEOF_SQLWCHAR == 2
+# if WORDS_BIGENDIAN
+#  define ODBC_WIDE_NAME "UCS-2BE"
+# else
+#  define ODBC_WIDE_NAME "UCS-2LE"
+# endif
+#elif SIZEOF_SQLWCHAR == 4
+# if WORDS_BIGENDIAN
+#  define ODBC_WIDE_NAME "UCS-4BE"
+# else
+#  define ODBC_WIDE_NAME "UCS-4LE"
+# endif
+#else
+#error SIZEOF_SQLWCHAR not supported !!
+#endif
+
 #if defined(__GNUC__) && __GNUC__ >= 4
 #pragma GCC visibility pop
 #endif
diff --git a/src/odbc/convert_tds2sql.c b/src/odbc/convert_tds2sql.c
index 9df2f02..a81fc89 100644
--- a/src/odbc/convert_tds2sql.c
+++ b/src/odbc/convert_tds2sql.c
@@ -42,23 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert_tds2sql.c,v 1.60 2008/10/23 12:39:38 freddy77 Exp $");
-
-#if SIZEOF_SQLWCHAR == 2
-# if WORDS_BIGENDIAN
-#  define ODBC_WIDE_NAME "UCS-2BE"
-# else
-#  define ODBC_WIDE_NAME "UCS-2LE"
-# endif
-#elif SIZEOF_SQLWCHAR == 4
-# if WORDS_BIGENDIAN
-#  define ODBC_WIDE_NAME "UCS-4BE"
-# else
-#  define ODBC_WIDE_NAME "UCS-4LE"
-# endif
-#else
-#error SIZEOF_SQLWCHAR not supported !!
-#endif
+TDS_RCSID(var, "$Id: convert_tds2sql.c,v 1.61 2008/10/23 15:07:49 freddy77 Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -110,7 +94,10 @@ static int
 odbc_tds_convert_wide_iso(TDSCOLUMN *curcol, TDS_CHAR *src, TDS_UINT srclen, TDS_CHAR *buf, TDS_UINT buf_len)
 {
 	TDS_CHAR *p;
-	/* TODO check for endian */
+	/*
+	 * TODO check for endian
+	 * This affect for instance Sybase under little endian system
+	 */
 	
 	/* skip white spaces */
 	while (srclen > 1 && src[1] == 0 && TDS_ISSPACE(src[0])) {

